# Install Feast

{% hint style="success" %}
_Would you prefer a lighter-weight, pip-install, no-Kubernetes deployment of Feast?_ The Feast maintainers are currently building a new deployment experience for Feast. If you have thoughts on Feast's deployment, [chat with the maintainers](https://calendly.com/d/gc29-y88c/feast-chat-w-willem-and-jay) to learn more and provide feedback.
{% endhint %}

A production deployment of Feast is deployed using Kubernetes.

## Kubernetes \(with Helm\)

This guide installs Feast into an existing Kubernetes cluster using Helm. The installation is not specific to any cloud platform or environment, but requires Kubernetes and Helm.

## Amazon EKS \(with Terraform\)

This guide installs Feast into an AWS environment using Terraform. The Terraform script is opinionated and intended to allow you to start quickly.

## Azure AKS \(with Helm\)

This guide installs Feast into an Azure AKS environment with Helm.

## Azure AKS \(with Terraform\)

This guide installs Feast into an Azure environment using Terraform. The Terraform script is opinionated and intended to allow you to start quickly.

## Google Cloud GKE \(with Terraform\)

This guide installs Feast into a Google Cloud environment using Terraform. The Terraform script is opinionated and intended to allow you to start quickly.

## IBM Cloud Kubernetes Service \(IKS\) and Red Hat OpenShift \(using Kustomize\)

This guide installs Feast into an existing [IBM Cloud Kubernetes Service](https://www.ibm.com/cloud/kubernetes-service) or [Red Hat OpenShift on IBM Cloud](https://www.ibm.com/cloud/openshift) using Kustomize.

{% page-ref page="ibm-cloud-iks-with-kustomize.md" %}
